IPX_INTERFACE(8)

NAME
ipx_interface - add, delete, or display an IPX interface

SYNOPSIS
ipx_interface add [-p] device frame_type [network number[:node number]]

ipx_interface del device frame_type

ipx_interface delall

ipx_interface check device frame_type

ipx_interface help

DESCRIPTION
ipx_interface adds, deletes, or displays IPX interfaces depending on the option selected.

An IPX interface is the item to which IPX sockets are bound. An IPX interface corresponds to an IPX Network Number which corresponds to a physical device and frame type. A sample IPX Interface would be:

Network Number: 0x00ABCDEF

Device: Eth0

Frame Type: 802.2.

There is a special IPX interface per host known as the PRIMARY or default interface.

You should specify node number only if you really know, what you are doing - on point-to-point devices, on loopback and on tap device if you are running Compatibility mode driver.

  OPTIONS

add This option is used to create an IPX interface. If the -p flag is used, the interface is made PRIMARY. The network number can be optionally assigned. If it is not assigned, it is set to 0 which indicates it should be detected from the traffic on the network.

del This option is used to delete an IPX interface.

delall
    This option is used to delete all IPX interfaces.

check
    This option is used to display the device, frame type, and network number of an IPX interface.

help
    This option displays information about the utility.

FILES
/proc/net/ipx_interface /proc/net/ipx_route

BUGS
This functionality really belongs in ifconfig(8).

AUTHOR
Greg Page <greg.page@caldera.com>